org.optaplanner.core.config.heuristic.policy

## Class HeuristicConfigPolicy

- java.lang.Object
- - org.optaplanner.core.config.heuristic.policy.HeuristicConfigPolicy

-     public class HeuristicConfigPolicy
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeuristicConfigPolicy(EnvironmentMode environmentMode, Integer moveThreadCount, Integer moveThreadBufferSize, Class<? extends ThreadFactory> threadFactoryClass, InnerScoreDirectorFactory scoreDirectorFactory)`
    `HeuristicConfigPolicy(EnvironmentMode environmentMode, String logIndentation, Integer moveThreadCount, Integer moveThreadBufferSize, Class<? extends ThreadFactory> threadFactoryClass, InnerScoreDirectorFactory scoreDirectorFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntityMimicRecorder(String id, EntityMimicRecorder mimicRecordingEntitySelector)`
    `void` | `addValueMimicRecorder(String id, ValueMimicRecorder mimicRecordingValueSelector)`
    `ThreadFactory` | `buildThreadFactory(ChildThreadType childThreadType)`
    `HeuristicConfigPolicy` | `createChildThreadConfigPolicy(ChildThreadType childThreadType)`
    `HeuristicConfigPolicy` | `createPhaseConfigPolicy()`
    `EntityMimicRecorder` | `getEntityMimicRecorder(String id)`
    `Map<String,EntityMimicRecorder>` | `getEntityMimicRecorderMap()`
    `EntitySorterManner` | `getEntitySorterManner()`
    `EnvironmentMode` | `getEnvironmentMode()`
    `String` | `getLogIndentation()`
    `Integer` | `getMoveThreadBufferSize()`
    `Integer` | `getMoveThreadCount()`
    `ScoreDefinition` | `getScoreDefinition()`
    `InnerScoreDirectorFactory` | `getScoreDirectorFactory()`
    `SolutionDescriptor` | `getSolutionDescriptor()`
    `Class<? extends ThreadFactory>` | `getThreadFactoryClass()`
    `ValueMimicRecorder` | `getValueMimicRecorder(String id)`
    `Map<String,ValueMimicRecorder>` | `getValueMimicRecorderMap()`
    `ValueSorterManner` | `getValueSorterManner()`
    `boolean` | `isInitializedChainedValueFilterEnabled()`
    `boolean` | `isReinitializeVariableFilterEnabled()` Deprecated. for removal.
    `void` | `setEntityMimicRecorderMap(Map<String,EntityMimicRecorder> entityMimicRecorderMap)`
    `void` | `setEntitySorterManner(EntitySorterManner entitySorterManner)`
    `void` | `setInitializedChainedValueFilterEnabled(boolean initializedChainedValueFilterEnabled)`
    `void` | `setReinitializeVariableFilterEnabled(boolean reinitializeVariableFilterEnabled)` Deprecated. for removal.
    `void` | `setValueMimicRecorderMap(Map<String,ValueMimicRecorder> valueMimicRecorderMap)`
    `void` | `setValueSorterManner(ValueSorterManner valueSorterManner)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HeuristicConfigPolicy

          public HeuristicConfigPolicy(EnvironmentMode environmentMode,
                                       Integer moveThreadCount,
                                       Integer moveThreadBufferSize,
                                       Class<? extends ThreadFactory> threadFactoryClass,
                                       InnerScoreDirectorFactory scoreDirectorFactory)

    - #### HeuristicConfigPolicy

          public HeuristicConfigPolicy(EnvironmentMode environmentMode,
                                       String logIndentation,
                                       Integer moveThreadCount,
                                       Integer moveThreadBufferSize,
                                       Class<? extends ThreadFactory> threadFactoryClass,
                                       InnerScoreDirectorFactory scoreDirectorFactory)

  - ### Method Detail

    - #### getEnvironmentMode

          public EnvironmentMode getEnvironmentMode()

    - #### getLogIndentation

          public String getLogIndentation()

    - #### getMoveThreadCount

          public Integer getMoveThreadCount()

    - #### getThreadFactoryClass

          public Class<? extends ThreadFactory> getThreadFactoryClass()

    - #### getMoveThreadBufferSize

          public Integer getMoveThreadBufferSize()

    - #### getSolutionDescriptor

          public SolutionDescriptor getSolutionDescriptor()

    - #### getScoreDefinition

          public ScoreDefinition getScoreDefinition()

    - #### getScoreDirectorFactory

          public InnerScoreDirectorFactory getScoreDirectorFactory()

    - #### getEntitySorterManner

          public EntitySorterManner getEntitySorterManner()

    - #### setEntitySorterManner

          public void setEntitySorterManner(EntitySorterManner entitySorterManner)

    - #### getValueSorterManner

          public ValueSorterManner getValueSorterManner()

    - #### setValueSorterManner

          public void setValueSorterManner(ValueSorterManner valueSorterManner)

    - #### isReinitializeVariableFilterEnabled

          @Deprecated
          public boolean isReinitializeVariableFilterEnabled()

      Deprecated. for removal.

    - #### setReinitializeVariableFilterEnabled

          @Deprecated
          public void setReinitializeVariableFilterEnabled(boolean reinitializeVariableFilterEnabled)

      Deprecated. for removal.

    - #### getEntityMimicRecorderMap

          public Map<String,EntityMimicRecorder> getEntityMimicRecorderMap()

    - #### setEntityMimicRecorderMap

          public void setEntityMimicRecorderMap(Map<String,EntityMimicRecorder> entityMimicRecorderMap)

    - #### getValueMimicRecorderMap

          public Map<String,ValueMimicRecorder> getValueMimicRecorderMap()

    - #### setValueMimicRecorderMap

          public void setValueMimicRecorderMap(Map<String,ValueMimicRecorder> valueMimicRecorderMap)

    - #### isInitializedChainedValueFilterEnabled

          public boolean isInitializedChainedValueFilterEnabled()

    - #### setInitializedChainedValueFilterEnabled

          public void setInitializedChainedValueFilterEnabled(boolean initializedChainedValueFilterEnabled)

    - #### createPhaseConfigPolicy

          public HeuristicConfigPolicy createPhaseConfigPolicy()

    - #### createChildThreadConfigPolicy

          public HeuristicConfigPolicy createChildThreadConfigPolicy(ChildThreadType childThreadType)

    - #### addEntityMimicRecorder

          public void addEntityMimicRecorder(String id,
                                             EntityMimicRecorder mimicRecordingEntitySelector)

    - #### getEntityMimicRecorder

          public EntityMimicRecorder getEntityMimicRecorder(String id)

    - #### addValueMimicRecorder

          public void addValueMimicRecorder(String id,
                                            ValueMimicRecorder mimicRecordingValueSelector)

    - #### getValueMimicRecorder

          public ValueMimicRecorder getValueMimicRecorder(String id)

    - #### buildThreadFactory

          public ThreadFactory buildThreadFactory(ChildThreadType childThreadType)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.